RHEL 7.6 released


#1

https://distrowatch.com/?newsid=10358

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/7.6_release_notes/

so it seems it seems a new testing time is coming :sweat_smile:

in the meanwhile, something to add to http://docs.nethserver.org/projects/nethserver-devel/en/latest/development_process.html#minor-release-from-upstream ???
@quality_team @dev_team


(Giacomo Sanchietti) #2

Also it seems CentOS will have an official ARM 64 release! /cc @mark_nl

I hope not :smiley: This release looks like a lot as a maintenance release, I don’t expect many different :pray:


(Mark Verlinde) #3

c7.1810 showed ip in the buildlogs.centos.org repositories.

Fingers crossed SCL php71 will be availible for aarch64 too. Last time I looked, last week, at least empty repositories where there. Now the sclo buildlogs-repos, including x86_64 are gone, lets hope it is a good sign. :question:


(Ralf Jeckel) #4

Hope and pray is good, but as a precaution I locked updates on my unsubscibed instances. :wink:
The step from 7.4 to 7.5 was a chaos.

Will this be a problem?
The smbd service no longer queries user and group information from Active Directory domain controllers and NT4 primary domain controllers directly. Installations with the security parameter set to ads or domain now require that the winbindd service is running.


(Davide Principi) #5

As usual we’ll start the upgrade tests when CentOS pushes new RPMs to the CR repository!


(Davide Principi) #6

Yes this is likely to be an issue

https://bugzilla.redhat.com/show_bug.cgi?id=1558560#c8

We must care of it!

The version lock should be enabled automatically when a new minor version from upstream is available


(Stéphane de Labrusse) #7

KDE deprecated in redhat 7.6 :DDDDDDDDDDDDDDDDDDDDDDDDDDD

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/7.6_release_notes/#chap-Red_Hat_Enterprise_Linux-7.6_Release_Notes-Deprecated_Functionality

openldap-servers too :frowning:

This means that for the next release (redhat8) they won’t be part of the distro


(Roland King) #8

thanks a lot for the useful information. is there someone who have already used it? interested for my site https://suppsforlife.to/category/injectable-steroids. any help is appreciated. what are your first impressions? big chances? worth it? thanks


#9

Centos 7 version 7.6.1810 CR repo for x86_64, ppc64le, aarch64, armhfp, and i386 should be availabe…

https://wiki.centos.org/Manuals/ReleaseNotes/CentOS7.1810

and also rhel 8 beta is out :vulcan_salute:
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8-beta/html-single/8.0_beta_release_notes/


(Ralf Jeckel) #10

Thanks for this hint.

Already playing with it :smile:


(Mark Verlinde) #11

The upgrade to 7.6 seems a good moment to evaluate if some packages in the nethserver-base repository are deprecated / obsolete. Because of the port / rebuild for arm i tried to draw a dependency tree and could not find a need for this packages:

PACKAGE OBSOLETE?
coova-chilli-1.3.1.5-1.2.g68c347e.ns7.x86_64.rpm obsolete > coova-chilli-dedalo-…
daq-2.0.6-1.centos7.x86_64.rpm obsolete? snort > suricata
ecap-clamav-2.0.0-1.ns7.x86_64.rpm obsolete ?
http-parser-2.7.1-3.el7.x86_64.rpm obsolete > in centos base repo nodejs
libwbxml-0.11.2-4.el7.centos.x86_64.rpm obsolete SOGo move to Nethforge ?
snort-2.9.8.0-1.ns7.x86_64.rpm obsolete > suricata
snortalog-0.0.1-1.ns7.noarch.rpm obsolete > suricata
sssd-libwbclient-1.15.2-50.el7_4.2.ns7.x86_64.rpm nethserver-samba > in centos repo,obsolete?
pulledpork-0.7.2-1.ns7.noarch.rpm nethserver-suricata / IPS > in epel, obsolete?
ntopng-pcap-3.1.170812-3152.el7.centos.x86_64.rpm nethserver-bandwidthd
perl-Crypt-Cracklib-1.7-1.ns7.x86_64.rpm obsolete

(Davide Principi) #12

Really nice catch, it’s time to do some repository cleanups! /cc @giacomo

Those are really old dependencies and not needed anymore…

I’m working on fixing some bugs on ns6 atm, but I hope to find some time to test the 7.6 packages (expecially samba) next week.


(Stéphane de Labrusse) #13
[root@prometheus ~]# rpm -q --whatrequires libwbxml
nethserver-sogo-1.7.7-1.ns7.noarch
sogo-activesync-4.0.4-1.ns7.x86_64

does it is not a problem for sogo-activesync ?


(Davide Principi) #14

Shouldn’t that go in the nethforge repo, with other sogo packages?


(Stéphane de Labrusse) #15

actually the libwbxml is a build dependency that is not pushed


(Mark Verlinde) #16

I assumed it was in nethforge alleady :sunglasses: (see my edit)


(Davide Principi) #17

I switched your post to wiki mode, so others can add/fix/change it too!


(Giacomo Sanchietti) #18

I did a quick check, these are my findings.

To be removed:

These packages can’t be removed:

  • coova-chilli: there still hundreds of servers using it, it is an alternative (old) implementation of coova-chilli-dedalo

Edit

If you’re upgrading from 7.5 to 7.6 using CR repository, please have a look to this issue: https://github.com/NethServer/dev/issues/5646


#19

i’m doing some install/upgrade base tests with CR… i see 21 issue open, do you think any of these should be checked urgently before going ahead with 7.6.1810 tests?


(Giacomo Sanchietti) #20

I think this is the nastiest: https://github.com/NethServer/dev/issues/5647 (/cc @flatspin).
But still I can’t figure out a workaround for it.

Since 7.5 should be considered in feature freeze state, we will soonshould be able to merge all PR and test everything.